## mksh 52c

=== debian/changelog ===
mksh (52c-2) unstable; urgency=low

  * Bump Policy; the Debian menu system is now deprecated, but we’ll
    continue using it, for a while; a Desktop file isn’t currently needed
  * Update to upstream CVS HEAD:
    - [tg] Unbreak multi-line command history broken by history flush
      (Closes: #783978) (again…)
    - [tg] Fix redefining POSIX functions that were Korn functions before
  * Build mksh-static against all supported libcs, for QA; add NEWS entry
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 12 Apr 2016 15:38:10 +0200

mksh (52c-1) unstable; urgency=low

  * New upstream bugfix-only release:
    - [tg] Shave 200 bytes off .text by revisiting string pooling
    - [tg, J�rg] Fix manpage for ditroff on Schillix
    - [tg, wbx] Use sed 1q instead of unportable head(1)
    - [tg] Implement underrun debugging tool for area-based memory allocator
    - [tg] Fix history underrun when first interactive command is entered
    - [tg, bef0rd] Do not misinterpret “${0/}” as “${0//”, fixes segfault
    - [tg, Stéphane Chazelas] Fix display problems with special parameters
    - [tg, Stéphane Chazelas] Catch attempt to trim $* and $@ with ?, fixes
      segfault (millert@ did this in 2004 for ${x[*]} already, so just sync)
    - [Martijn Dekker] Fix “command -p” with -Vv to behave as POSIX requires
    - [tg, jilles, Oleg Bulatov] Fix recusive parser with active heredocs
    - [tg] Flush even syntax-failing or interrupted commands to history
    - [tg, fmunozs] Fix invalid memory access for “'\0'” in arithmetics
    - [tg] Explicitly reserve SIGEXIT and SIGERR for ksh
    - [tg, izabera] Catch missing here documents at EOF even under “set -n”
    - [kre, tg] Document Austin#1015 handling (not considered a violation)
    - [tg, fmunozs] Fix buffer overread for empty nameref targets
    - [tg] Fix warnings pointed out by latest Debian gcc-snapshot
    - [tg, Martijn Dekker] Document upcoming set +o changes
    - [Martijn Dekker] Expand testsuite for command/whence
  * Remove now-irrelevant comment from debian/control
  * Update manpage from CVS incorporating lintian spelling fixes
  * Bump S-V (no changes needed); use SSL URIs for VCS (lintian)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 06 Mar 2016 22:03:50 +0100

mksh (52b-1) unstable; urgency=high

  * New upstream bugfix-only release:
    - [tg] Recognise ksh93 compiled scripts and LZIP compressed files
      as binary (i.e. to not run as mksh plaintext script)
    - [tg] Document that we will implement locale tracking later
    - [tg] Add EEXIST to failback strerror(3)
    - [jilles] Make set -C; :>foo race-free
    - [tg] Don’t use unset in portable build script
    - [tg] Plug warning on GNU/kFreeBSD, GNU/Hurd
    - [tg] Document read -a resets the integer base
    - [J�rg] Fix manpage: time is not a builtin but a reserved word
    - [J�rg, tg] Make exit (and return) eat -1
    - [tg] parse “$( (( … ) … ) … )” correctly (LP#1532621), Jan Palus
    - [tg] reduce memory footprint by free(3)ing more aggressively
    - [tg] fix buffer overrun (LP#1533394), bugreport by izabera
    - [tg] correctly handle nested ADELIM parsing (LP#1453827), Teckids
    - [tg] permit “read -A/-a arr[idx]” as long as only one element is
      read; fix corruption of array indicēs with this construct
      (LP#1533396), discovered by izabera
    - [tg] Sanitise OS-provided signal number in even more places
    - [tg] As requested by J�rg, be clear manpage advice is for mksh
    - [tg] Revert (as it was a regression) POSIX bugfix from R52/2005
      related to accent gravis-style command substitution until POSIX
      decides either way (Austin#1015) and upload with high urgency
    - [tg] Handle export et al. after command (Austin#351)
    - [tg] Catch EPIPE in built-in cat and return as SIGPIPE (LP#1532621)
    - [tg] Fix errno in print/echo builtin; optimise that and unbksl
    - [tg] Update documentation, point out POSIX violation (Austin#1015)
  * Only create /usr/bin/ksh compat symlink if needed (Closes: #807185)
  * Add missed changelog entries for upstream to 52-1 entry
  * Update debian/copyright and README.Debian

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 20 Jan 2016 23:03:23 +0000

mksh (52-1) unstable; urgency=medium

  * Remove parallel=* from DEB_BUILD_OPTIONS for the reproducible people
  * Add myself as Maintainer (Closes: #764401)
  * Make ed a Recommends (Closes: #803726)
  * Update text in README.Debian
  * Make .mkshrc alias-safe
  * New bugfix upstream release
    - [_0bitcount] Move moving external link from mksh(1) to the #ksh
      channel homepage linked therein
    - [tg] Make setenv “set -u”-safe and fix when invoked with no args
    - [tg] Make “typeset -f” output reentrant if name is a reserved word
    - [oksh] Zero-pad seconds in “time” output to align columns
    - [tg] Check signals and errorlevels from OS to be within bounds
    - [komh, tg] Quote and document ‘;’ as PATH separator in some places
    - [oksh, tg] Simplify code to call afree() even if arg is NULL
    - [tg] Fix tree-printing and reentrancy of multiple here documents
    - [tg] Work around LP#1030581 by permitting exactly one space after
    - [tg, oksh] Code quality work, cleanups
    - [tg] New code for here documents/strings with several bugfixes
    - [tg] Stop using issetugid(2) for ±p checks, wrong tool for the job
    - [tg] Reintroduce some -o posix changes lost in 2005, plus fixes
    - [tg] Make “source” into a built-in command
    - [tg] Drop “stop” alias, lksh(1) functionality to auto-unalias
    - [tg] Fix \u0000 ignored in $'…' and print
    - [tg] Improve portability of Build.sh
    - [Jilles Tjoelker] Improve portability of testsuite
    - [tg] Fix tilde expansion for some substitutions (izabera, Chet, Geoff)
    - [tg] Improve reparsing of ((…) |…) as ( (…) |…)
    - [Martijn Dekker] Fix test(1) not returning evaluation errors
    - [tg] Fix ${*:+x} constructs (carstenh)

