=== debian/watch ===
version=3
http://www.mirbsd.org/MirOS/dist/mir/mksh/ mksh-R([0-9]+[b-h]?)\.tgz
