## mksh 53

=== debian/changelog ===
mksh (53-1) unstable; urgency=medium

  * The “Yellow Submarine” release
  * Upload to unstable
    - Build against musl as well
    - Do not consider builds that fail the regression test suite usable
    - Fixes in the Debian packaging
    - Re-enable debugging in dietlibc builds, should be less fragile now
    - Update lintian overrides
  * Update VCS-* URLs… again
  * Note dietlibc platforms added in experimental
  * Reorder static binary preference: klibc>musl>dietlibc>glibc
  * /usr/bin/diet is alternatives-managed now, adjust Built-Using generator
  * New upstream release:
    - [tg, TNF] Fix bounds checks in Vi editing mode
    - [tg] Handle combining characters at end of string or output correctly
    - [tg] Fix ${!#} ${!?} ${!-} (POSIX, prompted by izabera)
    - [tg] Fix shf.c-internal buffer overread on printing digits
    - [J�rg] Fix a typo in the testsuite
    - [arekm] Increase default edit line size (unless MKSH_SMALL)
    - [tg] Improve description of Emacs mode keybindings, especially ^U
    - [tg, arekm, jilles] Abort read builtin in case of read(2) errors
    - [tg, izabera, carstenh] Fix most of the ambiguous corner cases related
      to ${[pfx]var[op[word]]} (${@:-1} still unsupported)
    - [carstenh] Contribute some more testsuite coverage
    - [tg] WDS_TPUTS now emits QCHAR newline reentrant-safe
    - [tg] Fix var=<< implementation (LP#1380389)
    - [tg, FreeBSD] Make XSI test(1) extensions behave as if they were POSIX
    - [tg, izabera] Add $(<<<x) and $(<<EOF…) implementation
    - [tg] Lower minimum screen size accepted as “sane” from the OS to 4×2
    - [tg, Torsten Sillke] Simplify tilde-expanded parameters
    - [tg, Torsten Sillke] Fix default PS1 for substring matches
    - [tg] Apply defer-builtin-with-arguments logic to realpath builtin
    - [tg] Rework string pooling (own vs. compiler’s) (LP#1580348)
    - [tg] Feature: print -A, prints arguments as characters
    - [tg, izabera] Replace <<< and >>> as ROL and ROR operators with their
      new ^< and ^> spelling as per David Tribble’s proposal
    - [tg, slagtc] Clear-to-EOL under tmux to work around its anti-feature
    - [tg, p120ph37] Remove support for using file descriptors with more
      than a single digit, in preparation for named file descriptors
    - [tg] Correct, but simplify (at the potential cost of more tty I/O than
      strictly necessary, though never redundant and (probably) not more
      than before when it was miscalculated), line clearing and redrawing
    - [slagtc, tg] Implement new evaluate-region editing command Esc+Ctrl-E
    - [tg] Prefer external rename utility over the recovery builtin
    - [tg] Remove redundant full-line redraws
    - [tg, Natureshadow] Fix errorlevel of ‘.’ (“dot” special builtin) when
      the sourced script does not run any commands, for POSIX compliance
    - [tg] Refactor op tokens and edchars to shave off some more bytes
    - [tg] Fix some bugs in the manpage and some occasional/minor code bugs
    - [tg, Brian Callahan] Mark tests requiring new perl as !need-pass
    - [tg, slagtc] Add $KSH_MATCH and, to make it usable, ${foo@/bar/baz}
    - [tg, Score_Under] Fix bogus patch from OpenBSD: only NULL the global
      source in unwind when actually reclaiming its Area
    - [izabera] Mention in the manpage that integer bases go up to 36
  * Add NEWS entry with user-visible changes
  * Do not call script(1) with -q – we may need the debugging output
  * Work with dpkg-buildflags bugfix vs. reproducible builds effort again…

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 10 Aug 2016 20:41:14 +0200

mksh (52c-2exp3) experimental; urgency=low

  [ Christian Seiler ]
  * Add dietlibc/mips64el

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 12 May 2016 13:00:41 +0200

mksh (52c-2exp2) experimental; urgency=low

  [ Thorsten Glaser ]
  * Build against musl as well
  * Do not consider builds that fail the regression test suite usable
  * Fix a typo in the package description
  * A couple minor fixes to the Debian packaging
  * Re-enable debugging in dietlibc builds, should be less fragile now
  * Update lintian overrides

  [ Christian Seiler ]
  * Test another two, genuinely new, architectures for dietlibc

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 10 May 2016 10:39:12 +0200

mksh (52c-2exp1) experimental; urgency=low

  * Require dietlibc from experimental (for experimental uploads ONLY)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 12 Apr 2016 16:11:58 +0200
