## mksh 53a

=== debian/changelog ===
mksh (53a-1) unstable; urgency=medium

  * The “I need FTTH” release
  * New upstream release (Closes: #834161)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 12 Aug 2016 19:03:13 +0200
