## mksh 54

=== debian/changelog ===
mksh (54-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - back to debhelper compat 9
    - revert other libcs’ dependencies to what we used in jessie
  * Stop dropping the Built-Using header for backports, in the hope
    it works now
  * Stop reverting the ksh alternative handling changes, they are
    necessary for the much-disdained UsrMerge (ksh93 still lacks
    it even in sid, so it doesn’t matter anyway)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 02 Feb 2017 14:16:27 +0100

mksh (54-2) unstable; urgency=medium

  * Drop all '-specs=*' from CFLAGS and LDFLAGS, this nonsense
    causes FTBFS all over the place, e.g. in openssl1.0 too ☹

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 12 Nov 2016 02:37:10 +0100

mksh (54-1) unstable; urgency=medium

  [ John Paul A̲d̲r̲i̲a̲n̲ Glaubitz ]
  * Explain precisely which device nodes are needed in the chroot,
    and which permissions and ownership are required for openpty
    (cf. #841935, #817236)

  [ Thorsten Glaser ]
  * Fix wrong URL in debian/copyright
  * Move to debhelper compat 10 for stretch/sid
  * debian/control: Add explicit branches to VCS-* URIs
  * Remove obsolete dietlibc-specific warning message from the logs
  * New upstream formal release:
    - [tg] Simplify and improve code and manual page
    - [tg] Try GCC 5’s new -malign-data=abi
    - [tg] Allow interrupting builtin cat even on fast devices (LP#1616692)
    - [tg] Update to Unicode 9.0.0
    - [Andreas Buschka] Correct English spelling
    - [tg] Handle set -e-related error propagation in || and && constructs
      correctly
    - [tg] Initialise memory for RNG even when not targeting Valgrind
    - [tg] Shrink binary size
    - [Brian Callahan] Improve support for the contemporary pcc compiler
    - [tg] Fix side effects with lazy evaluation; spotted by ormaaj
    - [tg] New flags -c (columnise), -l, -N for the print builtin
    - [Larry Hynes] Fix English, spelling mistakes, typos in the manpage
    - [tg, ormaah] Return 128+SIGALRM if read -t times out, like GNU bash
    - [Martijn Dekker] Install both manpages from Build.sh
    - [Martijn Dekker] Document case changes are ASCII-only
    - [Ronald G. Minnich, Elbing Miss, Álvaro Jurado, tg] Begin porting to
      Harvey-OS and APEX (similar to Plan 9 and APE)
    - [KO Myung-Hun] More infrastructure for the OS/2 (EMX, KLIBC) port

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 12 Nov 2016 02:07:59 +0100
