=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
 # (Even then, versioned B-D may be used to remove known bogus versions.)
 Build-Depends: bsdmainutils, debhelper (>= 9), ed,
   dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
-  dietlibc-dev [alpha amd64 arm arm64 armeb armel armhf i386 ia64 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
-  libklibc-dev [linux-any],
-  musl-tools [amd64 arm64 armel armhf i386 mips mipsel],
+  dietlibc-dev [alpha amd64 arm armeb armel armhf i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64],
+  libklibc-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32],
+  musl-tools [amd64 armel armhf i386 mips mipsel],
 # # also for the testsuite (could switch to C.UTF-8 nowadays, though)
   locales [!avr32] | belocs-locales-bin [!avr32]
 # # hard to test against bug
 Build-Conflicts: dietlibc-dev (<< 0.33~cvs20111108-5~) [hppa]
 Standards-Version: 3.9.8
-VCS-git: https://anonscm.debian.org/git/collab-maint/mksh.git
-VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/mksh.git
+VCS-git: https://anonscm.debian.org/git/collab-maint/mksh.git -b jessie-backports
+VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/mksh.git/?h=jessie-backports
 
 Package: mksh
 Architecture: any
