## mksh 56

=== debian/changelog ===
mksh (56-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream formal release:
    - [tg, Seb] Do not apply alias name restrictions to hash/tilde tracking
    - [tg] Restore ‘.’, ‘:’ and ‘[’ in alias names (“[[” is still forbidden)
    - [tg] Fix accidentally defanged $PATHSEP test
    - [tg] On ^C (INTR and QUIT edchars), shove edit line into history
    - [iSKUNK, tg] Begin porting to z/OS using EBCDIC encoding, incomplete
    - [tg] Redo fast character classes code, adding POSIX and other helpers
    - [tg] bind parses backslash-escaped ‘^’ (and ‘\’) as escaped
    - [tg] Building with -DMKSH_ASSUME_UTF8=0 no longer causes a known
      failure in the testsuite
    - [tg] New test.sh option -U to pass a UTF-8 locale to use in the tests
    - [tg] re_format(7) BSD: [[ $x = *[[:\<:]]foo[[:>:]]* ]]
    - [tg, iSKUNK] Use Config in check.pl only if it exists
    - [tg] New matching code for bracket expressions, full POSIX (8bit)
    - [komh] Exclude FAT/HPFS/NTFS-unsafe tests on OS/2 (and Cygwin/MSYS)
    - [tg] Update to Unicode 10.0.0
    - [tg, selk] Make readonly idempotent
    - [tg, multiplexd] When truncating the persistent history, do not change
      the underlying file, do all operations on the locked one; do not stop
      using the history at all if it has been truncated
    - [tg, J�rg] Turn off UTF-8 mode upon turning on POSIX mode
    - [Martijn Dekker, Geoff Clare, many on the Austin list, tg] In POSIX
      mode, make the exec builtin force a $PATH search plus execve
    - [tg] Fix GCC 7, Coverity Scan warnings
    - [tg, Michal Hlavinka] Track background process PIDs even interactive
    - [tg] Always expose mksh’s hexdump shell function; speed it up by
      working on the input in chunks; use character classes to make it
      EBCDIC safe
    - [tg] Revamp dot.mkshrc default editor selection mechanism
  * Policy 4.0.1; no changes AFAICT
  * Update lintian overrides, NEWS entry

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 09 Aug 2017 04:35:42 +0200

mksh (55-1) experimental; urgency=low

  * Upload to experimental during the freeze
  * New upstream formal release:
    - [komh] Fix OS/2 search_access() and UNC path logic
    - [tg] Undocument printf(1) to avoid user confusion
    - [Jean Delvare, tg] Fix printf builtin -R option
    - [tg] Make ${var@x}, unknown x, fail (thanks izabera)
    - [tg] ${var=x} must evaluate x in scalar context (10x Martijn Dekker)
    - [tg] Fixup relation between lksh and mksh, reduce delta
    - [tg] Improve manpage display; add OS/2 $PATH FAQ
    - [Jean Delvare] Fix bugs in manpage
    - [tg] Review tilde expansion, removing “odd use of KEEPASN” and introduce
      POSIX “declaration utility” concept; wait isn’t one
    - [tg] Add \builtin utility, declaration utility forwarder
    - [tg] Make $'\xz' expand to xz, not \0
    - [tg] Use fixed string pooling (requires the above change in host mksh)
    - [tg] POSIX declaration commands can have varassign and redirections
    - [Martijn Dekker] Add typeset -g, replacing homegrown “global”
    - [Harvey-OS] Disable NOPROSPECTOFWORK, APEX is reportedly fixed now
    - [tg] Display ulimit -a output with flags; improve Haiku
    - [tg] Drop old let] hack, use \builtin internally
    - [tg] Fix padding in Lb64encode in dot.mkshrc
    - [tg] Move FAQ content to a separate, new FAQ section in the manpage
    - [tg] Add new standard variable PATHSEP (‘:’, ‘;’ on OS/2)
    - [Martijn Dekker] Fix LINENO in eval and alias
    - [komh] Fix “\builtin” on OS/2
    - [tg] Improve (internal) character classes code for speed
    - [tg] Fix: the underscore is no drive letter
    - [tg] No longer hard-disable persistent history support in lksh
    - [tg] Introduce build flag -T for enabling “textmode” on OS/2 (supporting
      CR+LF line endings, but incompatible with mksh proper)
    - [tg] Merge mksh-os2
    - [tg] Permit changing $OS2_SHELL during a running shell
    - [tg] Fix multibyte handling in ^R (Emacs search-history)
    - [tg] Allow “typeset -p arrname[2]” to work
    - [tg] Make some error messages more consistent
    - [tg, komh] Disable UTF-8 detection code for OS/2 as unrealistic
    - [tg, sdaoden] Limit alias name chars to POSIX plus non-leading ‘-’
    - [tg, Martijn Dekker] Expand aliases at COMSUB parse time
    - [tg] Make “typeset -f” output alias-resistent
    - [tg, Martijn Dekker] Permit “eval break” and “eval continue”
    - [tg] Make -masm=intel safe on i386
    - [tg] Disambiguate $((…)) vs. $((…)…) in “typeset -f” output
    - [Jean Delvare] Clarify the effect of exit and return in a subshell
    - [tg] Simplify compile-time asserts and make them actually compile-time
    - [tg] Fix ^O in Emacs mode if the line was modified (LP#1675842)
    - [tg] Address Coverity Scan… stuff… now that it builds again
    - [Martijn Dekker, tg] Add test -v
    - [tg] Document set -o posix/sh completely
  * Update “uhr” from MirBSD CVS
  * Add NEWS entry with user-visible changes
  * Update lintian overrides
  * Apply scripting changes (“\builtin”, etc.) to /etc/skel/.mkshrc

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 12 Apr 2017 21:52:34 +0200
