## mksh 56b

=== debian/changelog ===
mksh (56b-3) unstable; urgency=medium

  * The “I’m not gonna do the release dance until you tell me you’re
    done checking this” upload
  * Update from MirBSD CVS HEAD (Closes: #878947)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 21 Oct 2017 21:25:15 +0200

mksh (56b-2) unstable; urgency=high

  * Work around #813164 in /etc/skel/.mkshrc
  * Policy 4.1.1 (no change)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 03 Oct 2017 17:26:54 +0200

mksh (56b-1) unstable; urgency=medium

  * Add $(which editor) to the fallback editor list, lowest priority
  * New upstream bugfix-only release, celebrating 15 years of MirBSD:
    - [tg] Reference the FAQ webpage
    - [panpo, Riviera] Fix documentation bug wrt. Esc+Ctrl-L
    - [tg, Larry Hynes] Fix “0” movement in vi mode
    - [tg] Replace broken libcs’ offsetof macro with MirBSD’s
  * Handle “note:” compiler output for mirtoconf consistently
  * Bump S-V, no relevant changes

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 29 Aug 2017 16:11:40 +0200
