=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
   locales [!avr32] | belocs-locales-bin [!avr32]
 # # hard to test against bug
 Build-Conflicts: dietlibc-dev (<< 0.33~cvs20111108-5~) [hppa]
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 VCS-git: https://anonscm.debian.org/git/collab-maint/mksh.git -b master
 VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/mksh.git/?h=master
