## mksh 56c

=== debian/changelog ===
mksh (56c-1) unstable; urgency=high

  * New upstream bugfix release:
    - [komh] Remove redundant OS/2-specific code, clean up others
    - [komh, tg] Fix drive-qualified (absolute and relative) DOS-style
      path support in realpath functionality, partially other places
    - [tg] Don’t substitute ${ENV:-~/.mkshrc} result again
    - [tg] Improve OS/2 $PATH (et al.) handling, drive-relative paths
    - [tg] Add MKSH_ENVDIR compile-time option for Jehanne and Plan 9
    - [tg] Update wcwidth data with bugfixed script (still Unicode 10;
      resulting values are identical to glibc git master for extant chars)
    - [Dr. Werner Fink] Raise some time limits in the testsuite
    - [Shamar] Add support for the Jehanne operating system
    - [komh] Set stdin to text mode before executing child processes on OS/2
    - [komh] Pass arguments via a resonse file if executing a child fails
    - [Dr. Werner Fink] Early locale tracking as a compile-time option
    - [tg] Fix regressions introduced with new fast character classes
  * Urgency high due to the bugfixes (credits Daniel Martí, Jakub Wilk)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 14 Jan 2018 03:12:49 +0100

mksh (56b-4) unstable; urgency=low

  * Use http, not https, for the homepage, to make it accessible
    from Debian buster/sid OpenSSL
  * Update VCS-* to new repository caused by Alioth deprecation
  * Update from MirBSD CVS HEAD
  * Policy 4.1.3 (no change)
    - we require Built-Using for licence reasons in a non-negligible
      number of cases, so we’ve got to keep using it
  * Debhelper 11, insisted on by lintian
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Jan 2018 21:34:02 +0100
