=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # we are in paranoid (just before the freeze/release) mode, and whether the
 # testsuite is run to determine bad builds. Really, do run the testsuite!
 # (Even then, versioned B-D may be used to remove known bogus versions.)
-Build-Depends: bsdmainutils, debhelper (>= 10), ed,
+Build-Depends: bsdmainutils, debhelper (>= 11), ed,
   dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
   dietlibc-dev [alpha amd64 arm arm64 armeb armel armhf i386 ia64 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
   libklibc-dev [linux-any],
@@ -18,9 +18,9 @@
   locales [!avr32] | belocs-locales-bin [!avr32]
 # # hard to test against bug
 Build-Conflicts: dietlibc-dev (<< 0.33~cvs20111108-5~) [hppa]
-Standards-Version: 4.1.1
-VCS-git: https://anonscm.debian.org/git/collab-maint/mksh.git -b master
-VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/mksh.git/?h=master
+Standards-Version: 4.1.3
+VCS-git: https://evolvis.org/anonscm/git/alioth/mksh.git -b master
+VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/mksh.git;a=shortlog;h=refs/heads/master
 
 Package: mksh
 Architecture: any
